Bug 11353 - Searches with QueryParser activated are broken if an Uppercase is used in the index name
Summary: Searches with QueryParser activated are broken if an Uppercase is used in the...
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12742
  Show dependency treegraph
 
Reported: 2013-12-07 13:57 UTC by mathieu saby
Modified: 2020-11-30 21:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-12-07 13:57:50 UTC
I tried to search "Title:xxxx" with Queryparser activated
Result on screen of staff interface:

 No results match your search for 'pqf=@attr 2=102 @or @or @attr 1=1016 @attr 5=1 @attr 4=6 "Title:xxxx" @attr 9=20 @attr 2=102 @attr 5=1 @attr 4=6 "Title:xxxx" @attr 9=34 @attr 2=102 @attr 5=1 @attr 4=6 "Title:xxxx"' in Ma bibliothèque Catalog. 


Mathieu
Comment 1 Owen Leonard 2016-06-24 12:59:36 UTC
How do you reproduce this bug? Is it still valid in master?
Comment 2 Marcel de Rooy 2016-07-04 13:20:11 UTC
(In reply to Owen Leonard from comment #1)
> How do you reproduce this bug? Is it still valid in master?

Yes, it is.
Not sure if this is exactly the same problem. But it is similar at least:
Activate QueryParser pref.
Type search: Control-number:[your-record-number-here]
This search fails.
Type search: Control-number=[your-record-number-here]
This works.

Note that the detail page contains links from e.g. article to magazine via 773 with a record control number that use the character [:]. They do not work.
Comment 3 Jonathan Druart 2019-12-12 14:40:45 UTC
IIRC QueryParser was not finished/polished and usable in production, lowering severity.
Comment 4 Katrin Fischer 2020-02-24 20:49:40 UTC
We've voted to remove the QueryParser code (https://wiki.koha-community.org/wiki/Development_IRC_meeting_4_March_2020), so I am closing this WONTFIX.